Subject: Re: bug#36649: 27.0.50; pure space and pdumper

From: Robert Pluim <[email-masked]>
Date: Mon, 22 Jul 2019 17:46:17 +0200

>>>>> On Mon, 22 Jul 2019 17:30:35 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Date: Mon, 22 Jul 2019 10:14:47 +0200
    >> Cc: [email-masked], Paul Eggert <[email-masked]>
    >> 
    >> >>>>> On Mon, 22 Jul 2019 03:58:29 +0000, Pip Cet <[email-masked]> said:
    >> 
    Pip> On Sun, Jul 21, 2019 at 8:20 PM Robert Pluim <[email-masked]> wrote:
    Pip> Can you try again with this incremental patch?
    >> >> 
    >> >> I offer two alternatives, both of which build and run:
    >> 
    Pip> Oops, sorry. I think the second alternative might break
    Pip> live_vector_holding, though?
    >> 
    >> OK. Hereʼs hoping no other code in emacs tries to create a 0-length
    >> vector :-)

    Eli> I think font.c (or fontset.c?) does.

If it does, that will be caught by allocate_vector, and this changes
allocate_vectorlike. Having said that, there are other callers of
allocate_vectorlike in alloc.c which donʼt check for a
zero-length. Maybe Iʼm over-worrying here.

Robert